# SSH_PRIVATE_KEY = "==...=="
# STAGE_HOST_master = 123.123.123.123
stages: 
  - Deploy

stage:
  stage: Deploy
  script:
    - apt-get update && apt-get install -y -qq ssh rsync
    - mkdir "${HOME}/.ssh"
    - echo "${SSH_PRIVATE_KEY}" > "${HOME}/.ssh/id_rsa"
    - chmod 700 "${HOME}/.ssh/id_rsa"
    - export TARGET_HOST="STAGE_HOST_${CI_COMMIT_REF_NAME}"
    - chmod +x ./deploy/*.sh
    - rsync -zavP -e "ssh -o StrictHostKeyChecking=no" . ${!TARGET_HOST}:/root/${CI_PROJECT_NAME}
    - ssh -o "StrictHostKeyChecking=no" ${!TARGET_HOST} "cd /root/${CI_PROJECT_NAME} && ./deploy/restart.sh ${CI_PROJECT_NAMESPACE} ${CI_PROJECT_NAME} gitlab-ci-token $CI_BUILD_TOKEN"
